NX Open C++ Reference Guide
|
Represents a @link Features::SilhouetteFlange Features::SilhouetteFlange@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSilhouetteFlangeBuilder Features::FeatureCollection::CreateSilhouetteFlangeBuilder @endlink <br>
Default values. More...
Public Types | |
enum | OutputSurfaceOptions { OutputSurfaceOptionsBlendFlange, OutputSurfaceOptionsPipeOnly, OutputSurfaceOptionsFlangeOnly } |
Output surface options. More... | |
enum | ReferenceDirectionOptions { ReferenceDirectionOptionsFaceNormal, ReferenceDirectionOptionsVector, ReferenceDirectionOptionsNormalDraft, ReferenceDirectionOptionsVectorDraft } |
Reference direction options. More... | |
enum | Types { TypesBasic, TypesAbsoluteGap, TypesVisualGap } |
Silhouette flange creation types. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::LawBuilder * | AngleLaw () |
Returns the angle law. | |
NXOpen::Section * | BaseCurves () |
Returns the base curves. | |
NXOpen::ScCollector * | BaseFaces () |
Returns the base faces. | |
int | BaseFactor () |
Returns the base pipe continuity factor. | |
NXOpen::GeometricUtilities::Continuity * | BasePipeContinuity () |
Returns the base pipe continuity. | |
bool | CreateCurves () |
Returns a value that indicates whether to create curves. | |
bool | ExtendFlange () |
Returns a value that indicates whether to extend flange until the boundary edges of the base faces. | |
int | FlangeFactor () |
Returns the flange pipe continuity factor. | |
NXOpen::GeometricUtilities::Continuity * | FlangePipeContinuity () |
Returns the flange pipe continuity Created in NX6.0.0. | |
NXOpen::Expression * | Gap () |
Returns the gap Created in NX6.0.0. | |
NXOpen::Curve * | GetCenterCurve () |
Return the center curve. | |
bool | GetIsDirectionFlipped () |
A value indicating whether to flip the direction. | |
bool | GetIsSideFlipped () |
Returns a value indicating whether to flip the side. | |
NXOpen::Curve * | GetSilhouetteCurve () |
Return the silhouette curve. | |
NXOpen::GeometricUtilities::LawBuilder * | LengthLaw () |
Returns the length law. | |
bool | MergeFacesIfPossible () |
Returns a value that indicates whether to the merge faces if possible Created in NX6.0.0. | |
NXOpen::Features::SilhouetteFlangeBuilder::OutputSurfaceOptions | OutputSurfaceOption () |
Returns the output surface option Created in NX6.0.0. | |
NXOpen::Features::SelectFeature * | ParentFeature () |
Returns the parent feature. | |
double | PositionTolerance () |
Returns the position tolerance Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | RadiusLaw () |
Returns the radius law. | |
NXOpen::Features::SilhouetteFlangeBuilder::ReferenceDirectionOptions | ReferenceDirectionOption () |
Returns the reference direction option Created in NX6.0.0. | |
NXOpen::ScCollector * | ReferenceFaces () |
Returns the reference faces. | |
NXOpen::Direction * | ReferenceVector () |
Returns the reference vector Created in NX6.0.0. | |
void | SetBaseFactor (int baseFactor) |
Sets the base pipe continuity factor. | |
void | SetCreateCurves (bool createCurves) |
Sets a value that indicates whether to create curves. | |
void | SetExtendFlange (bool extendFlange) |
Sets a value that indicates whether to extend flange until the boundary edges of the base faces. | |
void | SetFlangeFactor (int flangeFactor) |
Sets the flange pipe continuity factor. | |
void | SetIsDirectionFlipped (bool flipDirection) |
Sets a flag indicating if the direction is flipped. | |
void | SetIsSideFlipped (bool flipSide) |
Sets a value indicating whether to flip the side. | |
void | SetMergeFacesIfPossible (bool mergeFacesIfPossible) |
Sets a value that indicates whether to the merge faces if possible Created in NX6.0.0. | |
void | SetOutputSurfaceOption (NXOpen::Features::SilhouetteFlangeBuilder::OutputSurfaceOptions outputSurfaceOption) |
Sets the output surface option Created in NX6.0.0. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance Created in NX6.0.0. | |
void | SetReferenceDirectionOption (NXOpen::Features::SilhouetteFlangeBuilder::ReferenceDirectionOptions referenceDirectionOption) |
Sets the reference direction option Created in NX6.0.0. | |
void | SetReferenceVector (NXOpen::Direction *referenceVctor) |
Sets the reference vector Created in NX6.0.0. | |
void | SetShowPipe (bool showPipe) |
Sets a value that indicates whether to show pipe Created in NX6.0.0. | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance Created in NX6.0.0. | |
void | SetTrimBaseFaces (bool trimBaseFaces) |
Sets a value that indicates whether to trim base faces Created in NX6.0.0. | |
void | SetType (NXOpen::Features::SilhouetteFlangeBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
bool | ShowPipe () |
Returns a value that indicates whether to show pipe Created in NX6.0.0. | |
double | TangentTolerance () |
Returns the tangent tolerance Created in NX6.0.0. | |
bool | TrimBaseFaces () |
Returns a value that indicates whether to trim base faces Created in NX6.0.0. | |
NXOpen::Features::SilhouetteFlangeBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
void | UpdateLawSpine () |
Update the spine curve in length/angle/radius laws. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SilhouetteFlange Features::SilhouetteFlange@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSilhouetteFlangeBuilder Features::FeatureCollection::CreateSilhouetteFlangeBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleLaw.Function |
ft |
AngleLaw.LawType |
MultiTransition |
AngleLaw.Parameter |
t |
BaseFactor |
0 |
BasePipeContinuity.ContinuityType |
G1 |
CreateCurves |
0 |
ExtendFlange |
1 |
FlangeFactor |
0 |
FlangePipeContinuity.ContinuityType |
G0 |
Gap.Value |
5 (millimeters part), 0.2 (inches part) |
LengthLaw.LawType |
MultiTransition |
MergeFacesIfPossible |
0 |
RadiusLaw.LawType |
MultiTransition |
ReferenceDirectionOption |
NormalDraft |
ShowPipe |
0 |
TrimBaseFaces |
0 |
Type |
Basic |
Created in NX6.0.0.
Reference direction options.
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SilhouetteFlangeBuilder::AngleLaw | ( | ) |
Returns the angle law.
The only supported law type is GeometricUtilities::LawBuilder::TypeMultiTransition .
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SilhouetteFlangeBuilder::BaseCurves | ( | ) |
Returns the base curves.
Base curves must be G1 continuous.
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SilhouetteFlangeBuilder::BaseFaces | ( | ) |
Returns the base faces.
The base faces could be from different sheet bodies, but they must be G1 continuous.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::SilhouetteFlangeBuilder::BaseFactor | ( | ) |
Returns the base pipe continuity factor.
It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the base faces and the pipe.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SilhouetteFlangeBuilder::BasePipeContinuity | ( | ) |
Returns the base pipe continuity.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SilhouetteFlangeBuilder::CreateCurves | ( | ) |
Returns a value that indicates whether to create curves.
When this option is true, the center line curve of the pipe and silhouette flange curve at zero degrees will be output.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SilhouetteFlangeBuilder::ExtendFlange | ( | ) |
Returns a value that indicates whether to extend flange until the boundary edges of the base faces.
This option will be enforced if Trim Base Faces option is true. The base faces cannot be trimmed if the pipe does not hit the boundary edges of base faces.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::SilhouetteFlangeBuilder::FlangeFactor | ( | ) |
Returns the flange pipe continuity factor.
It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the pipe and flange surface.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SilhouetteFlangeBuilder::FlangePipeContinuity | ( | ) |
Returns the flange pipe continuity
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SilhouetteFlangeBuilder::Gap | ( | ) |
Returns the gap
Created in NX6.0.0.
License requirements : None
NXOpen::Curve* NXOpen::Features::SilhouetteFlangeBuilder::GetCenterCurve | ( | ) |
Return the center curve.
bool NXOpen::Features::SilhouetteFlangeBuilder::GetIsDirectionFlipped | ( | ) |
A value indicating whether to flip the direction.
If the direction is flipped, the pipe is placed to the opposite side of base faces and flange direction is flipped.
bool NXOpen::Features::SilhouetteFlangeBuilder::GetIsSideFlipped | ( | ) |
Returns a value indicating whether to flip the side.
If the side is flipped, the pipe is placed to the other side of base curves for Basic Type and the other side of the pipe of the parent feature for Absolute/Visual Gap Type.
NXOpen::Curve* NXOpen::Features::SilhouetteFlangeBuilder::GetSilhouetteCurve | ( | ) |
Return the silhouette curve.
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SilhouetteFlangeBuilder::LengthLaw | ( | ) |
Returns the length law.
The only supported law type is GeometricUtilities::LawBuilder::TypeMultiTransition .
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SilhouetteFlangeBuilder::MergeFacesIfPossible | ( | ) |
Returns a value that indicates whether to the merge faces if possible
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SilhouetteFlangeBuilder::OutputSurfaceOptions NXOpen::Features::SilhouetteFlangeBuilder::OutputSurfaceOption | ( | ) |
Returns the output surface option
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SelectFeature* NXOpen::Features::SilhouetteFlangeBuilder::ParentFeature | ( | ) |
Returns the parent feature.
Parent feature must be a Silhouette Flange feature. A Features::SilhouetteFlangeBuilder::TypesVisualGap silhouette flange and its parent Silhouette Flange feature should use parallel vectors as reference direction.
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::SilhouetteFlangeBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SilhouetteFlangeBuilder::RadiusLaw | ( | ) |
Returns the radius law.
The only supported law type is GeometricUtilities::LawBuilder::TypeMultiTransition .
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SilhouetteFlangeBuilder::ReferenceDirectionOptions NXOpen::Features::SilhouetteFlangeBuilder::ReferenceDirectionOption | ( | ) |
Returns the reference direction option
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SilhouetteFlangeBuilder::ReferenceFaces | ( | ) |
Returns the reference faces.
If any reference face is selected for Features::SilhouetteFlangeBuilder::ReferenceDirectionOptionsFaceNormal case, the normal of reference face is used as the reference direction. Otherwise, the normal of base faces will be used as the reference direction.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::SilhouetteFlangeBuilder::ReferenceVector | ( | ) |
Returns the reference vector
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SilhouetteFlangeBuilder::SetBaseFactor | ( | int | baseFactor | ) |
Sets the base pipe continuity factor.
It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the base faces and the pipe.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
baseFactor | basefactor |
void NXOpen::Features::SilhouetteFlangeBuilder::SetCreateCurves | ( | bool | createCurves | ) |
Sets a value that indicates whether to create curves.
When this option is true, the center line curve of the pipe and silhouette flange curve at zero degrees will be output.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
createCurves | createcurves |
void NXOpen::Features::SilhouetteFlangeBuilder::SetExtendFlange | ( | bool | extendFlange | ) |
Sets a value that indicates whether to extend flange until the boundary edges of the base faces.
This option will be enforced if Trim Base Faces option is true. The base faces cannot be trimmed if the pipe does not hit the boundary edges of base faces.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
extendFlange | extendflange |
void NXOpen::Features::SilhouetteFlangeBuilder::SetFlangeFactor | ( | int | flangeFactor | ) |
Sets the flange pipe continuity factor.
It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the pipe and flange surface.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
flangeFactor | flangefactor |
void NXOpen::Features::SilhouetteFlangeBuilder::SetIsDirectionFlipped | ( | bool | flipDirection | ) |
Sets a flag indicating if the direction is flipped.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
flipDirection | flipdirection |
void NXOpen::Features::SilhouetteFlangeBuilder::SetIsSideFlipped | ( | bool | flipSide | ) |
Sets a value indicating whether to flip the side.
If the side is flipped, the pipe is placed to the other side of base curves for Basic Type and the other side of the pipe of the parent feature for Absolute/Visual Gap Type.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
flipSide | flipside |
void NXOpen::Features::SilhouetteFlangeBuilder::SetMergeFacesIfPossible | ( | bool | mergeFacesIfPossible | ) |
Sets a value that indicates whether to the merge faces if possible
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
mergeFacesIfPossible | mergefacesifpossible |
void NXOpen::Features::SilhouetteFlangeBuilder::SetOutputSurfaceOption | ( | NXOpen::Features::SilhouetteFlangeBuilder::OutputSurfaceOptions | outputSurfaceOption | ) |
Sets the output surface option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
outputSurfaceOption | outputsurfaceoption |
void NXOpen::Features::SilhouetteFlangeBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
positionTolerance | positiontolerance |
void NXOpen::Features::SilhouetteFlangeBuilder::SetReferenceDirectionOption | ( | NXOpen::Features::SilhouetteFlangeBuilder::ReferenceDirectionOptions | referenceDirectionOption | ) |
Sets the reference direction option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
referenceDirectionOption | referencedirectionoption |
void NXOpen::Features::SilhouetteFlangeBuilder::SetReferenceVector | ( | NXOpen::Direction * | referenceVctor | ) |
Sets the reference vector
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
referenceVctor | referencevctor |
void NXOpen::Features::SilhouetteFlangeBuilder::SetShowPipe | ( | bool | showPipe | ) |
Sets a value that indicates whether to show pipe
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
showPipe | showpipe |
void NXOpen::Features::SilhouetteFlangeBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
tangentTolerance | tangenttolerance |
void NXOpen::Features::SilhouetteFlangeBuilder::SetTrimBaseFaces | ( | bool | trimBaseFaces | ) |
Sets a value that indicates whether to trim base faces
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
trimBaseFaces | trimbasefaces |
void NXOpen::Features::SilhouetteFlangeBuilder::SetType | ( | NXOpen::Features::SilhouetteFlangeBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
type | type |
bool NXOpen::Features::SilhouetteFlangeBuilder::ShowPipe | ( | ) |
Returns a value that indicates whether to show pipe
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::SilhouetteFlangeBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SilhouetteFlangeBuilder::TrimBaseFaces | ( | ) |
Returns a value that indicates whether to trim base faces
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SilhouetteFlangeBuilder::Types NXOpen::Features::SilhouetteFlangeBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SilhouetteFlangeBuilder::UpdateLawSpine | ( | ) |
Update the spine curve in length/angle/radius laws.
All laws use the center line curve of the pipe as the spine curve. This API should be called if the pipe should be reconstructed due to any input change.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")